<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: WiFi Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classWiFi-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">WiFi Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>WiFi driver.  
 <a href="classWiFi.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="WiFi_8h_source.html">WiFi.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a35af2c72328c41e79e7aef97b6a64fba"><td class="memItemLeft" align="right" valign="top"><a id="a35af2c72328c41e79e7aef97b6a64fba"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFi.html#a35af2c72328c41e79e7aef97b6a64fba">WiFi</a> ()</td></tr>
<tr class="memdesc:a35af2c72328c41e79e7aef97b6a64fba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates and uses a default event handler. <br /></td></tr>
<tr class="separator:a35af2c72328c41e79e7aef97b6a64fba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa70d86d4709954beb1f79e73715dfd5b"><td class="memItemLeft" align="right" valign="top"><a id="aa70d86d4709954beb1f79e73715dfd5b"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFi.html#aa70d86d4709954beb1f79e73715dfd5b">~WiFi</a> ()</td></tr>
<tr class="memdesc:aa70d86d4709954beb1f79e73715dfd5b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Deletes the event handler that was used by the class. <br /></td></tr>
<tr class="separator:aa70d86d4709954beb1f79e73715dfd5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b79df0ff40c783e062649ad96564905"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFi.html#a1b79df0ff40c783e062649ad96564905">addDNSServer</a> (const std::string &amp;ip)</td></tr>
<tr class="memdesc:a1b79df0ff40c783e062649ad96564905"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a reference to a DNS server.  <a href="#a1b79df0ff40c783e062649ad96564905">More...</a><br /></td></tr>
<tr class="separator:a1b79df0ff40c783e062649ad96564905"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae479a70bda65638c17bad006d37fcd4f"><td class="memItemLeft" align="right" valign="top"><a id="ae479a70bda65638c17bad006d37fcd4f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>addDNSServer</b> (const char *ip)</td></tr>
<tr class="separator:ae479a70bda65638c17bad006d37fcd4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e18a65abef194619017323cc3b53ac2"><td class="memItemLeft" align="right" valign="top"><a id="a0e18a65abef194619017323cc3b53ac2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>addDNSServer</b> (ip_addr_t ip)</td></tr>
<tr class="separator:a0e18a65abef194619017323cc3b53ac2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99cd00c2301a303e7c856192d2e16160"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFi.html#a99cd00c2301a303e7c856192d2e16160">setDNSServer</a> (int numdns, const std::string &amp;ip)</td></tr>
<tr class="memdesc:a99cd00c2301a303e7c856192d2e16160"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a reference to a DNS server.  <a href="#a99cd00c2301a303e7c856192d2e16160">More...</a><br /></td></tr>
<tr class="separator:a99cd00c2301a303e7c856192d2e16160"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa9a51b68dd80936ff67e6428c60545e"><td class="memItemLeft" align="right" valign="top"><a id="afa9a51b68dd80936ff67e6428c60545e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setDNSServer</b> (int numdns, const char *ip)</td></tr>
<tr class="separator:afa9a51b68dd80936ff67e6428c60545e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99e5bb712b7941215e603be5b7c76e28"><td class="memItemLeft" align="right" valign="top"><a id="a99e5bb712b7941215e603be5b7c76e28"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setDNSServer</b> (int numdns, ip_addr_t ip)</td></tr>
<tr class="separator:a99e5bb712b7941215e603be5b7c76e28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ce7f33b938cfeb19a1f36a3080b602b"><td class="memItemLeft" align="right" valign="top">struct in_addr&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFi.html#a0ce7f33b938cfeb19a1f36a3080b602b">getHostByName</a> (const std::string &amp;hostName)</td></tr>
<tr class="memdesc:a0ce7f33b938cfeb19a1f36a3080b602b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Lookup an IP address by host name.  <a href="#a0ce7f33b938cfeb19a1f36a3080b602b">More...</a><br /></td></tr>
<tr class="separator:a0ce7f33b938cfeb19a1f36a3080b602b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09060de8fa5d9f284fb9aff7d885d81b"><td class="memItemLeft" align="right" valign="top"><a id="a09060de8fa5d9f284fb9aff7d885d81b"></a>
struct in_addr&#160;</td><td class="memItemRight" valign="bottom"><b>getHostByName</b> (const char *hostName)</td></tr>
<tr class="separator:a09060de8fa5d9f284fb9aff7d885d81b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b11726f65299092288f68f129929303"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFi.html#a6b11726f65299092288f68f129929303">connectAP</a> (const std::string &amp;ssid, const std::string &amp;password, bool waitForConnection=true, wifi_mode_t mode=WIFI_MODE_STA)</td></tr>
<tr class="memdesc:a6b11726f65299092288f68f129929303"><td class="mdescLeft">&#160;</td><td class="mdescRight">Connect to an external access point.  <a href="#a6b11726f65299092288f68f129929303">More...</a><br /></td></tr>
<tr class="separator:a6b11726f65299092288f68f129929303"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa06d7cb11e23c95b873b37b37e1c7d27"><td class="memItemLeft" align="right" valign="top"><a id="aa06d7cb11e23c95b873b37b37e1c7d27"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFi.html#aa06d7cb11e23c95b873b37b37e1c7d27">dump</a> ()</td></tr>
<tr class="memdesc:aa06d7cb11e23c95b873b37b37e1c7d27"><td class="mdescLeft">&#160;</td><td class="mdescRight">Dump diagnostics to the log. <br /></td></tr>
<tr class="separator:aa06d7cb11e23c95b873b37b37e1c7d27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b9634fee0d3c7d27a77ca35823a1f86"><td class="memItemLeft" align="right" valign="top"><a id="a8b9634fee0d3c7d27a77ca35823a1f86"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFi.html#a8b9634fee0d3c7d27a77ca35823a1f86">isConnectedToAP</a> ()</td></tr>
<tr class="memdesc:a8b9634fee0d3c7d27a77ca35823a1f86"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether wifi is connected to an access point. <br /></td></tr>
<tr class="separator:a8b9634fee0d3c7d27a77ca35823a1f86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97592a3ac47f6f301a2417385c4e8ea2"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classWiFiAPRecord.html">WiFiAPRecord</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFi.html#a97592a3ac47f6f301a2417385c4e8ea2">scan</a> ()</td></tr>
<tr class="memdesc:a97592a3ac47f6f301a2417385c4e8ea2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Perform a <a class="el" href="classWiFi.html" title="WiFi driver.">WiFi</a> scan looking for access points.  <a href="#a97592a3ac47f6f301a2417385c4e8ea2">More...</a><br /></td></tr>
<tr class="separator:a97592a3ac47f6f301a2417385c4e8ea2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5d8dc106189ee9a4cf332e4363fac58"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFi.html#ae5d8dc106189ee9a4cf332e4363fac58">startAP</a> (const std::string &amp;ssid, const std::string &amp;passwd, wifi_auth_mode_t auth=WIFI_AUTH_OPEN)</td></tr>
<tr class="memdesc:ae5d8dc106189ee9a4cf332e4363fac58"><td class="mdescLeft">&#160;</td><td class="mdescRight">Start being an access point.  <a href="#ae5d8dc106189ee9a4cf332e4363fac58">More...</a><br /></td></tr>
<tr class="separator:ae5d8dc106189ee9a4cf332e4363fac58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe587b246a0a1a4024877bebd1dd3453"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFi.html#afe587b246a0a1a4024877bebd1dd3453">startAP</a> (const std::string &amp;ssid, const std::string &amp;passwd, wifi_auth_mode_t auth, uint8_t channel, bool ssid_hidden, uint8_t max_connection)</td></tr>
<tr class="memdesc:afe587b246a0a1a4024877bebd1dd3453"><td class="mdescLeft">&#160;</td><td class="mdescRight">Start being an access point.  <a href="#afe587b246a0a1a4024877bebd1dd3453">More...</a><br /></td></tr>
<tr class="separator:afe587b246a0a1a4024877bebd1dd3453"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9af2e6f3f5bf0dcf9a319954cf6ec5a0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFi.html#a9af2e6f3f5bf0dcf9a319954cf6ec5a0">setIPInfo</a> (const std::string &amp;ip, const std::string &amp;gw, const std::string &amp;netmask)</td></tr>
<tr class="memdesc:a9af2e6f3f5bf0dcf9a319954cf6ec5a0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the IP info and enable DHCP if ip != 0. If called with ip == 0 then DHCP is enabled. If called with bad values it will do nothing.  <a href="#a9af2e6f3f5bf0dcf9a319954cf6ec5a0">More...</a><br /></td></tr>
<tr class="separator:a9af2e6f3f5bf0dcf9a319954cf6ec5a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73b2b5e2a5a046aa2c2137ce2b1bcfe9"><td class="memItemLeft" align="right" valign="top"><a id="a73b2b5e2a5a046aa2c2137ce2b1bcfe9"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setIPInfo</b> (const char *ip, const char *gw, const char *netmask)</td></tr>
<tr class="separator:a73b2b5e2a5a046aa2c2137ce2b1bcfe9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac791bd68948ead18bc9775fc936e0938"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFi.html#ac791bd68948ead18bc9775fc936e0938">setIPInfo</a> (uint32_t ip, uint32_t gw, uint32_t netmask)</td></tr>
<tr class="memdesc:ac791bd68948ead18bc9775fc936e0938"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the IP Info based on the IP address, gateway and netmask.  <a href="#ac791bd68948ead18bc9775fc936e0938">More...</a><br /></td></tr>
<tr class="separator:ac791bd68948ead18bc9775fc936e0938"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf6df73f23fed380a5109a29def8d08f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFi.html#abf6df73f23fed380a5109a29def8d08f">setWifiEventHandler</a> (<a class="el" href="classWiFiEventHandler.html">WiFiEventHandler</a> *wifiEventHandler)</td></tr>
<tr class="memdesc:abf6df73f23fed380a5109a29def8d08f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the event handler to use to process detected events.  <a href="#abf6df73f23fed380a5109a29def8d08f">More...</a><br /></td></tr>
<tr class="separator:abf6df73f23fed380a5109a29def8d08f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a6b4031d4fa81fe133c7a6390669aa851"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFi.html#a6b4031d4fa81fe133c7a6390669aa851">getApMac</a> ()</td></tr>
<tr class="memdesc:a6b4031d4fa81fe133c7a6390669aa851"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the MAC address of the AP interface.  <a href="#a6b4031d4fa81fe133c7a6390669aa851">More...</a><br /></td></tr>
<tr class="separator:a6b4031d4fa81fe133c7a6390669aa851"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa158786a3a91c13956be956e7d094622"><td class="memItemLeft" align="right" valign="top">static tcpip_adapter_ip_info_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFi.html#aa158786a3a91c13956be956e7d094622">getApIpInfo</a> ()</td></tr>
<tr class="memdesc:aa158786a3a91c13956be956e7d094622"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the AP IP Info.  <a href="#aa158786a3a91c13956be956e7d094622">More...</a><br /></td></tr>
<tr class="separator:aa158786a3a91c13956be956e7d094622"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe209be37e5626ace49f182c57f96747"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFi.html#abe209be37e5626ace49f182c57f96747">getApSSID</a> ()</td></tr>
<tr class="memdesc:abe209be37e5626ace49f182c57f96747"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the AP SSID.  <a href="#abe209be37e5626ace49f182c57f96747">More...</a><br /></td></tr>
<tr class="separator:abe209be37e5626ace49f182c57f96747"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff9498a1f42011f3d38876444a153963"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFi.html#aff9498a1f42011f3d38876444a153963">getApIp</a> ()</td></tr>
<tr class="memdesc:aff9498a1f42011f3d38876444a153963"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current ESP32 IP form AP.  <a href="#aff9498a1f42011f3d38876444a153963">More...</a><br /></td></tr>
<tr class="separator:aff9498a1f42011f3d38876444a153963"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ba16ba35e5543c23db71dd9e054f555"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFi.html#a7ba16ba35e5543c23db71dd9e054f555">getApNetmask</a> ()</td></tr>
<tr class="memdesc:a7ba16ba35e5543c23db71dd9e054f555"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current AP netmask.  <a href="#a7ba16ba35e5543c23db71dd9e054f555">More...</a><br /></td></tr>
<tr class="separator:a7ba16ba35e5543c23db71dd9e054f555"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af77c417d0a5a3285c8cedf1d7cc9ea23"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFi.html#af77c417d0a5a3285c8cedf1d7cc9ea23">getApGateway</a> ()</td></tr>
<tr class="memdesc:af77c417d0a5a3285c8cedf1d7cc9ea23"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current AP Gateway IP.  <a href="#af77c417d0a5a3285c8cedf1d7cc9ea23">More...</a><br /></td></tr>
<tr class="separator:af77c417d0a5a3285c8cedf1d7cc9ea23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe399adb8a5d43f6affff8ceb78fc3fc"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFi.html#abe399adb8a5d43f6affff8ceb78fc3fc">getMode</a> ()</td></tr>
<tr class="memdesc:abe399adb8a5d43f6affff8ceb78fc3fc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the <a class="el" href="classWiFi.html" title="WiFi driver.">WiFi</a> Mode.  <a href="#abe399adb8a5d43f6affff8ceb78fc3fc">More...</a><br /></td></tr>
<tr class="separator:abe399adb8a5d43f6affff8ceb78fc3fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2aa9896c734e6e2e920d3216f175c596"><td class="memItemLeft" align="right" valign="top">static tcpip_adapter_ip_info_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFi.html#a2aa9896c734e6e2e920d3216f175c596">getStaIpInfo</a> ()</td></tr>
<tr class="memdesc:a2aa9896c734e6e2e920d3216f175c596"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the STA IP Info.  <a href="#a2aa9896c734e6e2e920d3216f175c596">More...</a><br /></td></tr>
<tr class="separator:a2aa9896c734e6e2e920d3216f175c596"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08647c8bdbb4d8612abb2a4daf5dbdb1"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFi.html#a08647c8bdbb4d8612abb2a4daf5dbdb1">getStaMac</a> ()</td></tr>
<tr class="memdesc:a08647c8bdbb4d8612abb2a4daf5dbdb1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the MAC address of the STA interface.  <a href="#a08647c8bdbb4d8612abb2a4daf5dbdb1">More...</a><br /></td></tr>
<tr class="separator:a08647c8bdbb4d8612abb2a4daf5dbdb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a888168c815c5363e79b2896b3790df25"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFi.html#a888168c815c5363e79b2896b3790df25">getStaSSID</a> ()</td></tr>
<tr class="memdesc:a888168c815c5363e79b2896b3790df25"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the STA SSID.  <a href="#a888168c815c5363e79b2896b3790df25">More...</a><br /></td></tr>
<tr class="separator:a888168c815c5363e79b2896b3790df25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68cb65b5b2ce951ae7cc348d977ee78e"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFi.html#a68cb65b5b2ce951ae7cc348d977ee78e">getStaIp</a> ()</td></tr>
<tr class="memdesc:a68cb65b5b2ce951ae7cc348d977ee78e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current ESP32 IP form STA.  <a href="#a68cb65b5b2ce951ae7cc348d977ee78e">More...</a><br /></td></tr>
<tr class="separator:a68cb65b5b2ce951ae7cc348d977ee78e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30e6d1c318cad75f44822fce97ded972"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFi.html#a30e6d1c318cad75f44822fce97ded972">getStaNetmask</a> ()</td></tr>
<tr class="memdesc:a30e6d1c318cad75f44822fce97ded972"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current STA netmask.  <a href="#a30e6d1c318cad75f44822fce97ded972">More...</a><br /></td></tr>
<tr class="separator:a30e6d1c318cad75f44822fce97ded972"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e72ca5bdf809465049966ef99bef570"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFi.html#a6e72ca5bdf809465049966ef99bef570">getStaGateway</a> ()</td></tr>
<tr class="memdesc:a6e72ca5bdf809465049966ef99bef570"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current STA Gateway IP.  <a href="#a6e72ca5bdf809465049966ef99bef570">More...</a><br /></td></tr>
<tr class="separator:a6e72ca5bdf809465049966ef99bef570"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>WiFi driver. </p>
<p>Encapsulate control of WiFi functions.</p>
<p>Here is an example fragment that illustrates connecting to an access point. </p><div class="fragment"><div class="line"><span class="preprocessor">#include &lt;WiFi.h&gt;</span></div><div class="line"><span class="preprocessor">#include &lt;WiFiEventHandler.h&gt;</span></div><div class="line"></div><div class="line"><span class="keyword">class </span>TargetWiFiEventHandler: <span class="keyword">public</span> <a class="code" href="classWiFiEventHandler.html">WiFiEventHandler</a> {</div><div class="line">   esp_err_t staGotIp(system_event_sta_got_ip_t event_sta_got_ip) {</div><div class="line">      ESP_LOGD(tag, <span class="stringliteral">&quot;MyWiFiEventHandler(Class): staGotIp&quot;</span>);</div><div class="line">      <span class="comment">// Do something ...</span></div><div class="line">      <span class="keywordflow">return</span> ESP_OK;</div><div class="line">   }</div><div class="line">};</div><div class="line"></div><div class="line"><a class="code" href="classWiFi.html">WiFi</a> wifi;</div><div class="line"></div><div class="line">TargetWiFiEventHandler *eventHandler = <span class="keyword">new</span> TargetWiFiEventHandler();</div><div class="line">wifi.<a class="code" href="classWiFi.html#abf6df73f23fed380a5109a29def8d08f">setWifiEventHandler</a>(eventHandler);</div><div class="line">wifi.<a class="code" href="classWiFi.html#a6b11726f65299092288f68f129929303">connectAP</a>(<span class="stringliteral">&quot;myssid&quot;</span>, <span class="stringliteral">&quot;mypassword&quot;</span>);</div></div><!-- fragment --> </div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a1b79df0ff40c783e062649ad96564905"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b79df0ff40c783e062649ad96564905">&#9670;&nbsp;</a></span>addDNSServer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void WiFi::addDNSServer </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>ip</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Add a reference to a DNS server. </p>
<p>Here we define a server that will act as a DNS server. We can add two DNS servers in total. The first will be the primary, the second will be the backup. The public Google DNS servers are "8.8.8.8" and "8.8.4.4".</p>
<p>For example:</p>
<div class="fragment"><div class="line">wifi.<a class="code" href="classWiFi.html#a1b79df0ff40c783e062649ad96564905">addDNSServer</a>(<span class="stringliteral">&quot;8.8.8.8&quot;</span>);</div><div class="line">wifi.<a class="code" href="classWiFi.html#a1b79df0ff40c783e062649ad96564905">addDNSServer</a>(<span class="stringliteral">&quot;8.8.4.4&quot;</span>);</div></div><!-- fragment --><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ip</td><td>The IP address of the DNS Server. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>N/A. </dd></dl>

</div>
</div>
<a id="a6b11726f65299092288f68f129929303"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b11726f65299092288f68f129929303">&#9670;&nbsp;</a></span>connectAP()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t WiFi::connectAP </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>ssid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>password</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>waitForConnection</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">wifi_mode_t&#160;</td>
          <td class="paramname"><em>mode</em> = <code>WIFI_MODE_STA</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Connect to an external access point. </p>
<p>The event handler will be called back with the outcome of the connection.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ssid</td><td>The network SSID of the access point to which we wish to connect. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">password</td><td>The password of the access point to which we wish to connect. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">waitForConnection</td><td>Block until the connection has an outcome. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">mode</td><td>WIFI_MODE_AP for normal or WIFI_MODE_APSTA if you want to keep an Access Point running while you connect </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>ESP_OK if we are now connected and wifi_err_reason_t if not. </dd></dl>

</div>
</div>
<a id="af77c417d0a5a3285c8cedf1d7cc9ea23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af77c417d0a5a3285c8cedf1d7cc9ea23">&#9670;&nbsp;</a></span>getApGateway()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string WiFi::getApGateway </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the current AP Gateway IP. </p>
<dl class="section return"><dt>Returns</dt><dd>The Gateway IP. </dd></dl>

</div>
</div>
<a id="aff9498a1f42011f3d38876444a153963"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff9498a1f42011f3d38876444a153963">&#9670;&nbsp;</a></span>getApIp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string WiFi::getApIp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the current ESP32 IP form AP. </p>
<dl class="section return"><dt>Returns</dt><dd>The ESP32 IP. </dd></dl>

</div>
</div>
<a id="aa158786a3a91c13956be956e7d094622"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa158786a3a91c13956be956e7d094622">&#9670;&nbsp;</a></span>getApIpInfo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">tcpip_adapter_ip_info_t WiFi::getApIpInfo </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the AP IP Info. </p>
<dl class="section return"><dt>Returns</dt><dd>The AP IP Info. </dd></dl>

</div>
</div>
<a id="a6b4031d4fa81fe133c7a6390669aa851"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b4031d4fa81fe133c7a6390669aa851">&#9670;&nbsp;</a></span>getApMac()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string WiFi::getApMac </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the MAC address of the AP interface. </p>
<dl class="section return"><dt>Returns</dt><dd>The MAC address of the AP interface. </dd></dl>

</div>
</div>
<a id="a7ba16ba35e5543c23db71dd9e054f555"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ba16ba35e5543c23db71dd9e054f555">&#9670;&nbsp;</a></span>getApNetmask()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string WiFi::getApNetmask </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the current AP netmask. </p>
<dl class="section return"><dt>Returns</dt><dd>The Netmask IP. </dd></dl>

</div>
</div>
<a id="abe209be37e5626ace49f182c57f96747"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe209be37e5626ace49f182c57f96747">&#9670;&nbsp;</a></span>getApSSID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string WiFi::getApSSID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the AP SSID. </p>
<dl class="section return"><dt>Returns</dt><dd>The AP SSID. </dd></dl>

</div>
</div>
<a id="a0ce7f33b938cfeb19a1f36a3080b602b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ce7f33b938cfeb19a1f36a3080b602b">&#9670;&nbsp;</a></span>getHostByName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct in_addr WiFi::getHostByName </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>hostName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Lookup an IP address by host name. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">hostName</td><td>The hostname to resolve.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The IP address of the host or 0.0.0.0 if not found. </dd></dl>

</div>
</div>
<a id="abe399adb8a5d43f6affff8ceb78fc3fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe399adb8a5d43f6affff8ceb78fc3fc">&#9670;&nbsp;</a></span>getMode()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string WiFi::getMode </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the <a class="el" href="classWiFi.html" title="WiFi driver.">WiFi</a> Mode. </p>
<dl class="section return"><dt>Returns</dt><dd>The <a class="el" href="classWiFi.html" title="WiFi driver.">WiFi</a> Mode. </dd></dl>

</div>
</div>
<a id="a6e72ca5bdf809465049966ef99bef570"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e72ca5bdf809465049966ef99bef570">&#9670;&nbsp;</a></span>getStaGateway()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string WiFi::getStaGateway </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the current STA Gateway IP. </p>
<dl class="section return"><dt>Returns</dt><dd>The Gateway IP. </dd></dl>

</div>
</div>
<a id="a68cb65b5b2ce951ae7cc348d977ee78e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68cb65b5b2ce951ae7cc348d977ee78e">&#9670;&nbsp;</a></span>getStaIp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string WiFi::getStaIp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the current ESP32 IP form STA. </p>
<dl class="section return"><dt>Returns</dt><dd>The ESP32 IP. </dd></dl>

</div>
</div>
<a id="a2aa9896c734e6e2e920d3216f175c596"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2aa9896c734e6e2e920d3216f175c596">&#9670;&nbsp;</a></span>getStaIpInfo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">tcpip_adapter_ip_info_t WiFi::getStaIpInfo </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the STA IP Info. </p>
<dl class="section return"><dt>Returns</dt><dd>The STA IP Info. </dd></dl>

</div>
</div>
<a id="a08647c8bdbb4d8612abb2a4daf5dbdb1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a08647c8bdbb4d8612abb2a4daf5dbdb1">&#9670;&nbsp;</a></span>getStaMac()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string WiFi::getStaMac </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the MAC address of the STA interface. </p>
<dl class="section return"><dt>Returns</dt><dd>The MAC address of the STA interface. </dd></dl>

</div>
</div>
<a id="a30e6d1c318cad75f44822fce97ded972"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30e6d1c318cad75f44822fce97ded972">&#9670;&nbsp;</a></span>getStaNetmask()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string WiFi::getStaNetmask </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the current STA netmask. </p>
<dl class="section return"><dt>Returns</dt><dd>The Netmask IP. </dd></dl>

</div>
</div>
<a id="a888168c815c5363e79b2896b3790df25"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a888168c815c5363e79b2896b3790df25">&#9670;&nbsp;</a></span>getStaSSID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string WiFi::getStaSSID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the STA SSID. </p>
<dl class="section return"><dt>Returns</dt><dd>The STA SSID. </dd></dl>

</div>
</div>
<a id="a97592a3ac47f6f301a2417385c4e8ea2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a97592a3ac47f6f301a2417385c4e8ea2">&#9670;&nbsp;</a></span>scan()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt; <a class="el" href="classWiFiAPRecord.html">WiFiAPRecord</a> &gt; WiFi::scan </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Perform a <a class="el" href="classWiFi.html" title="WiFi driver.">WiFi</a> scan looking for access points. </p>
<p>An access point scan is performed and a vector of <a class="el" href="classWiFi.html" title="WiFi driver.">WiFi</a> access point records is built and returned with one record per found scan instance. The scan is performed in a blocking fashion and will not return until the set of scanned access points has been built.</p>
<dl class="section return"><dt>Returns</dt><dd>A vector of <a class="el" href="classWiFiAPRecord.html" title="Manage mDNS server.">WiFiAPRecord</a> instances. </dd></dl>

</div>
</div>
<a id="a99cd00c2301a303e7c856192d2e16160"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a99cd00c2301a303e7c856192d2e16160">&#9670;&nbsp;</a></span>setDNSServer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void WiFi::setDNSServer </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>numdns</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>ip</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set a reference to a DNS server. </p>
<p>Here we define a server that will act as a DNS server. We use numdns to specify which DNS server to set</p>
<p>For example:</p>
<div class="fragment"><div class="line">wifi.<a class="code" href="classWiFi.html#a99cd00c2301a303e7c856192d2e16160">setDNSServer</a>(0, <span class="stringliteral">&quot;8.8.8.8&quot;</span>);</div><div class="line">wifi.<a class="code" href="classWiFi.html#a99cd00c2301a303e7c856192d2e16160">setDNSServer</a>(1, <span class="stringliteral">&quot;8.8.4.4&quot;</span>);</div></div><!-- fragment --><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">numdns</td><td>The DNS number we wish to set </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ip</td><td>The IP address of the DNS Server. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>N/A. </dd></dl>

</div>
</div>
<a id="a9af2e6f3f5bf0dcf9a319954cf6ec5a0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9af2e6f3f5bf0dcf9a319954cf6ec5a0">&#9670;&nbsp;</a></span>setIPInfo() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void WiFi::setIPInfo </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>ip</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>gw</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>netmask</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the IP info and enable DHCP if ip != 0. If called with ip == 0 then DHCP is enabled. If called with bad values it will do nothing. </p>
<p>Do not call this method if we are being an access point ourselves.</p>
<p>For example, prior to calling <code><a class="el" href="classWiFi.html#a6b11726f65299092288f68f129929303" title="Connect to an external access point.">connectAP()</a></code> we could invoke:</p>
<div class="fragment"><div class="line">myWifi.setIPInfo(<span class="stringliteral">&quot;192.168.1.99&quot;</span>, <span class="stringliteral">&quot;192.168.1.1&quot;</span>, <span class="stringliteral">&quot;255.255.255.0&quot;</span>);</div></div><!-- fragment --><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ip</td><td>IP address value. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">gw</td><td>Gateway value. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">netmask</td><td>Netmask value. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>N/A. </dd></dl>

</div>
</div>
<a id="ac791bd68948ead18bc9775fc936e0938"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac791bd68948ead18bc9775fc936e0938">&#9670;&nbsp;</a></span>setIPInfo() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void WiFi::setIPInfo </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>ip</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>gw</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>netmask</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the IP Info based on the IP address, gateway and netmask. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ip</td><td>The IP address of our ESP32. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">gw</td><td>The gateway we should use. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">netmask</td><td>Our TCP/IP netmask value. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="abf6df73f23fed380a5109a29def8d08f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf6df73f23fed380a5109a29def8d08f">&#9670;&nbsp;</a></span>setWifiEventHandler()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void WiFi::setWifiEventHandler </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classWiFiEventHandler.html">WiFiEventHandler</a> *&#160;</td>
          <td class="paramname"><em>wifiEventHandler</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the event handler to use to process detected events. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">wifiEventHandler</td><td>The class that will be used to process events. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ae5d8dc106189ee9a4cf332e4363fac58"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae5d8dc106189ee9a4cf332e4363fac58">&#9670;&nbsp;</a></span>startAP() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void WiFi::startAP </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>ssid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>password</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">wifi_auth_mode_t&#160;</td>
          <td class="paramname"><em>auth</em> = <code>WIFI_AUTH_OPEN</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Start being an access point. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ssid</td><td>The SSID to use to advertize for stations. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">password</td><td>The password to use for station connections. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">auth</td><td>The authorization mode for access to this access point. Options are:<ul>
<li>WIFI_AUTH_OPEN</li>
<li>WIFI_AUTH_WPA_PSK</li>
<li>WIFI_AUTH_WPA2_PSK</li>
<li>WIFI_AUTH_WPA_WPA2_PSK</li>
<li>WIFI_AUTH_WPA2_ENTERPRISE</li>
<li>WIFI_AUTH_WEP </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>N/A. </dd></dl>

</div>
</div>
<a id="afe587b246a0a1a4024877bebd1dd3453"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe587b246a0a1a4024877bebd1dd3453">&#9670;&nbsp;</a></span>startAP() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void WiFi::startAP </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>ssid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>password</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">wifi_auth_mode_t&#160;</td>
          <td class="paramname"><em>auth</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>channel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ssid_hidden</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>max_connection</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Start being an access point. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ssid</td><td>The SSID to use to advertize for stations. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">password</td><td>The password to use for station connections. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">auth</td><td>The authorization mode for access to this access point. Options are:<ul>
<li>WIFI_AUTH_OPEN</li>
<li>WIFI_AUTH_WPA_PSK</li>
<li>WIFI_AUTH_WPA2_PSK</li>
<li>WIFI_AUTH_WPA_WPA2_PSK</li>
<li>WIFI_AUTH_WPA2_ENTERPRISE</li>
<li>WIFI_AUTH_WEP </li>
</ul>
</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">channel</td><td>from the access point. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">is</td><td>the ssid hidden, ore not. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">limiting</td><td>number of clients. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>N/A. </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="WiFi_8h_source.html">WiFi.h</a></li>
<li>WiFi.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
